import { zgSingleton } from "../../zgSingleton";
import ATSDKMgr from "./ATSDKMgr";

/**
 * 原生广告
 * @description
 * @author 冯聪
 */
export class ATNative extends zgSingleton {

    private ATNativeJS: any;
    /** 初始化 */
    init() {
        this.ATNativeJS = cc["ATNativeJS"];
        this.ATNativeJS.proxy = this;;
        this.ATNativeJS.init();
        this.loadNative();
    }

    /** 广告位id */
    placementID() {
        if (cc.sys.os === cc.sys.OS_IOS) {
            return ATSDKMgr.topon_native_placementId;
        } else if (cc.sys.os === cc.sys.OS_ANDROID) {
            return ATSDKMgr.topon_native_placementId;
        }
    }

    /**
     * 加载信息流广告
     * @param type 类型对应不同位置
     * @param show 是否加载完显示显示
     */
    loadNative(type = 4, show = false) {
        this.ATNativeJS.loadNative(type, show);
    }

    /** 
     * 显示原生广告 
     * @param type 0 弹窗里  1 最底部 2 新车奖励 3 底部小窗口
     */
    showNative(type) {
        this.ATNativeJS.showNative(type);
    }

    /**
     * 广告显示成功
     * @param placementId 
     * @param callbackInfo 
     */
    onNativeAdShow(placementId, callbackInfo) {
        // 2021/06/03（勿删）此处为星云埋点,先注释，待接口调通，恢复
        // let data = JSON.parse(callbackInfo)
        // HttpMgr.Inst.updateADLog(3, placementId, data.adunit_format, data.network_type, data.network_placement_id,
        //     data.network_firm_id, data.adsource_id, data.adsource_index, data.adsource_price,
        //     data.adsource_isheaderbidding, data.publisher_revenue, data.precision, data.ecpm_level);
    }

    /** 销毁baaner */
    destroyNative() {
        this.ATNativeJS.destroyNative();
    }

    /** 当前是否有banner显示 */
    getIsNativeShow() {
        return this.ATNativeJS.nativeShow
    }
}